---
title: "GitLab Commit: Innovate Together"
description: "Join us and commit to a day of DevOps inspiration and innovation at GitLab Commit Virtual. Attend for Free. Register Today!"
canonical_path: "/events/commit/"
image_title: '/images/opengraph/commit-opengraph-2.png'
layout: event-commit
suppress_header: false
extra_css:
  - faq.css
  - event-commit-2020.css
  - bl-modal.css
  - video-carousel.css
extra_js:
  - all-clickable.js
  - libs/slick.min.js
  - video-carousel.js
expiration_date: '2020-08-25T:15:00:00-0700'
scholarship_end_date: '2020-08-16T:15:00:00-0700'
nav_links:
  - title: 'Video'
    url: '#video'
  - title: 'Expect'
    url: '#expect'
  - title: 'Speakers'
    url: '#speakers'
  - title: 'Partners'
    url: '#partners'
  - title: 'Questions'
    url: '#questions'
---

-# These times will automatically update certain sections of content.
-# Dates should be specified using the ISO 8601 date format, YYYY-MM-DD
-# If including a time, YYYY-MM-DDT:HH:MM:SS-timezeone.
-# Example: 2010-02-01T:22:00:00-0700 (February 1st, 2010 @ 10PM Pacific).

- if current_page.data.expiration_date
  - expirationDate = Time.parse(current_page.data.expiration_date)
- else
  - expirationDate = Time.parse("2010-01-01")
- currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")
- if (expirationDate > currentTime)
  - current_page.data.event_register_url = 'https://www.eventbrite.com/e/gitlab-commit-virtual-tickets-105130995638#tickets'
  - current_page.data.header_primary_cta_text = 'Attend for free'
- else
  - current_page.data.event_register_url = 'https://www.youtube.com/c/Gitlab/playlists?view=50&sort=dd&shelf_id=5'
  - current_page.data.header_primary_cta_text = 'View 2020 on demand'

-# Schema.org structured data. 
:erb
  <script type="application/ld+json">
  {
  "@context": "https://schema.org",
  "@type": "Event",
  "name": "GitLab Commit 2021",
  "description": "Commit 2021 is a 2 day virtual experience filled with practical DevOps strategies shared by leaders in development, operations, and security. You’ll discover innovative solutions to help you solve your industry's greatest challenges, including enhancing culture and shortening release times.",
  "organizer" : "GitLab",
  "startDate": "2021-08-10",
  "endDate": "2021-08-11",
  "eventStatus": "https://schema.org/EventScheduled",
  "eventAttendanceMode": "https://schema.org/OnlineEventAttendanceMode",
  "location": {
    "@type": "VirtualLocation",
    "url": "https://about.gitlab.com/events/commit/"
  },
  "offers": {
    "@type": "Offer",
    "name": "Attend for Free",
    "price": "0",
    "priceCurrency": "USD",
    "validFrom": "",
    "url": "https://www.eventbrite.com/e/gitlab-commit-virtual-registration-105130995638?aff=sched",
    "availability": ""
  }
  }
  </script>

#hero
  = partial "/includes/events/commit/landing/hero"
#intro.flatbottom
  = partial "/includes/events/commit/landing/intro-register"
#video.highlight-black.flattop
  = partial "/includes/events/commit/landing/video-band"
#expect
  = partial "/includes/events/commit/landing/past-events"
#speakers.highlight-purple
  = partial "/includes/events/commit/landing/speakers"
#partners.highlight-gray
  = partial "/includes/events/commit/landing/sponsor-cta"
#trial.highlight-purple
  = partial "/includes/events/commit/landing/trial-cta"
#questions.highlight-black.flatbottom
  = partial "/includes/events/commit/landing/contact-and-updates"
